input.form-text,
.form-select {
  width: 100%;
}

.form-submit, .button, .button.button--danger {
  padding: 11px 18px 7px !important;
}

details.cmi-fifi-employee-information,
.cmi-fifi-find-details,
.cmi-fifi-fix-details {
  background: #fff;
  border: 1px solid #d4d4d4 !important;
  border-radius: 8px; 
}

.field--name-field-region-mapping .shs-container .shs-field-container {
  display: flex;
}



.cmi-fifi-find-details .fieldset-wrapper,
.cmi-fifi-fix-details .fieldset-wrapper {
  padding: 0 25px;
}

.cmi-fifi-fix-details .fieldset-wrapper .fieldset-wrapper,
.cmi-fifi-find-details .fieldset-wrapper .fieldset-wrapper {
  padding: 0;
}

.cmi-fifi-fix-details .fieldset-wrapper {
  padding-bottom: 20px;
}

#block-messagebox p {
  background: none !important;
  text-align: center;
}

details.cmi-fifi-employee-information summary,
.cmi-fifi-find-details > legend,
.cmi-fifi-fix-details > legend {
  font-weight: 600;
  position: relative;
  margin-top: -15px;
  font-family: var(--heading-text);
  left: 20px;
  display: inline-block;
  background: #fff;
  font-family: var(--heading-text);
  top: -6px;
}

details.cmi-fifi-employee-information summary:before {
  content: "";
  position: absolute;
  left: 0;
  top: 0;
  width: 100%;
  z-index: -1;
  height: 100%;
  background: #fff;
}

details.cmi-fifi-employee-information .details-wrapper  {
  display: flex;
  flex-wrap: wrap;
  padding: 0 20px 20px;
}

.cmi-fifi-employee-information label {
  width: auto;
  font-weight: 400;
  float: none;
}

.field--name-field-region-mapping .shs-container .shs-field-container {
  margin: 0 -15px;
}

.cmi-fifi-employee-information  .shs-widget-container {
  display: block;
  flex: 0 0 50%;
  max-width: 50%;
  padding: 0 15px;
}

.cmi-fifi-employee-information .shs-container label {
  display: none;
}


.details-wrapper .form-wrapper{
  flex: 0 0 33.333%;
  max-width: 33.33%;
  padding: 0 15px;
}

.details-wrapper .form-wrapper.field--name-field-employee-function {
  order: 1;
}

.details-wrapper .form-wrapper.field--name-field-region-mapping {
  order: 2;
  flex-grow: 1;
  max-width: inherit;
  flex: 1;
}

.field--name-field-date-resolved .form-item,
.field--name-field-date-found .form-item,
.field--name-field-fix-area .form-item  {
  flex: 0 0 50%;
  max-width: 50%;
  padding: 0 15px;
}

.field--name-field-date-resolved,
.field--name-field-date-found,
.field--name-field-fix-area {
  margin-left: -15px;
  margin-right: -15px;
}

fieldset.cmi-fifi-find-fix-details {
  margin: 30px 0;
}

.node-add-fix-form div#edit-field-find-category-wrapper select, 
.node-add-fix-edit-form div#edit-field-find-category-wrapper select {
  width: 100%;
}

.cmi-fifi-find-fix-details > legend > span,
.cmi-fifi-fix-details  > legend > span {
  position: relative;
  font-size: 20px;
  font-weight: 600;
  margin: 0;
}

.cmi-fifi-find-fix-details .form-wrapper>fieldset>legend, 
.cmi-fifi-find-fix-details .form-wrapper .fieldset-wrapper, 
.cmi-fifi-find-fix-details .form-wrapper select, 
.cmi-fifi-find-fix-details .form-wrapper>div>label, 
.cmi-fifi-find-fix-details .form-wrapper>div>div>label, 
.cmi-fifi-find-fix-details .form-wrapper h4, 
.cmi-fifi-find-fix-details .form-wrapper textarea, 
.cmi-fifi-find-fix-details .form-wrapper>div>div>div>label, 
.cmi-fifi-find-fix-details .form-wrapper>div>div>div>image-widget {
  width: auto;
  float: none;
}

.cmi-fifi-find-fix-details .form-wrapper textarea {
  width: 100%;
}

.cmi-fifi-find-details .shs-container .shs-field-container {
  display: flex;
  margin: 0 -15px;
}

.cmi-fifi-find-details .field--name-field-find-category .shs-widget-container {
  flex: 0 0 50%;
  max-width: 50%;
  padding: 0 15px;
}

.cmi-fifi-find-fix-details select {
  height: 48px;
  margin: 0;
}

.cmi-fifi-find-details #edit-field-fix-location--wrapper {
  display: flex;
  flex-wrap: wrap;
} 

div[data-shs-level="1"] {
  margin: 0;
}

.cmi-fifi-find-details .form-wrapper > fieldset > legend,
.cmi-fifi-fix-details .form-wrapper > fieldset > legend {
  float: left;
  margin: 0  0 10px;
  font-size: 16px;
  font-weight: 600;
  font-family: var(--heading-text);
}

.field--name-field-date-resolved legend,
.field--name-field-date-found legend {
  float: none !important;
  text-align: left !important;
}

.field--name-field-fix-area .form-select {
  width: 100% !important;
}

form#node-add-fix-form #edit-actions,
form#node-add-fix-edit-form #edit-actions {
  text-align: right;
  display: flex;
  gap: 15px;
  justify-content: flex-end;
}

form#node-add-fix-form #edit-actions #edit-cancel,
form#node-add-fix-form #edit-actions #edit-createandnew,
form#node-add-fix-form #edit-actions #edit-submit,
form#node-add-fix-edit-form #edit-actions #edit-cancel,
form#node-add-fix-edit-form #edit-actions #edit-createandnew,
form#node-add-fix-edit-form #edit-actions #edit-submit  {
  background: var(--white);
  border: 1px solid var(--gray-100);
  border-radius: 6px;
  font-size: 15px;
  padding: 10px 24px;
  color: var( --blue-gray-600);
  box-shadow: 0 3px 6px rgba(58, 58, 58,0.14);
  font-family: var(--body-text)!important;
  font-weight: 400;
  display: inline-block;
  margin: 0 10px;
}

form#node-add-fix-form #edit-actions #edit-createandnew {
  color: var(--white);
  background: var(--blue-gray-600);
  border-color: var(--blue-gray-600);
  order: 2;
}

form#node-add-fix-form #edit-actions #edit-submit,
form#node-add-fix-edit-form #edit-actions #edit-submit {
  color: var(--white);
  background: var(--red);
  border-color: var(--red);
}

.cmi-fifi-find-details .shs-container label[for="edit-field-region-mapping"] {
  display: none;
}


.view-detail-page {
  display: flex;
  flex-wrap: wrap;
  position: relative;
}


.view-detail-page .group-header {
  flex: 0 0 calc(100% - 20px);
  max-width: calc(100% - 20px);
  margin: 0 10px;
  display: flex;
  flex-wrap: wrap;
  flex-direction: row-reverse;
}
 
.view-detail-page .field--name-field-region-mapping .item-list ul  {
  margin: 0 -5px;
  padding: 0;
}

.view-detail-page .field--name-field-region-mapping .item-list ul li {
  border-bottom: 0;
  padding: 0;
  list-style-type: none;
  margin: 0 5px 5px;
}

.view-detail-page .field--name-field-region-mapping .item-list ul li a {
  background: var(--white);
  border: 1px solid var(--gray-100);
  border-radius: 6px;
  font-size: 15px;
  height: 40px;
  line-height: 1.25;
  padding: 10px 24px;
  color: var(--blue-gray-600);
  font-family: 'cmiTxt', 'Segeo UI', Arial, sans-serif !important;
  font-weight: 600;
  display: inline-block;
}

.view-detail-page fieldset.cmi-fifi-details legend {
  background: none;
  color: #353D4A;
  margin: 0 0 20px;
}

.view-detail-page .group-footer {
  margin: 30px 10px 0;
  flex: 0 0 calc(100% - 20px);
  max-width: calc(100% - 20px);
  padding-top: 20px;
  border-top-color: #d4d4d4;
}

.view-detail-page > .group-left,
.view-detail-page > .group-middle,
.view-detail-page > .group-right {
  box-shadow: 0 6px 12px rgba(0, 0, 0, 0.14);
  padding: 20px 30px;
  border: 1px solid #d4d4d4;
  border-radius: 6px;
  margin: 0 10px;
  background-color: var(--white);
  height: auto !important;
  flex: 0 0 calc(33.33% - 20px);
  max-width: calc(33.33% - 20px);
}

.view-detail-page > .group-left .field,
.view-detail-page > .group-middle .field,
.view-detail-page > .group-right .field {
  display: flex;
  flex-wrap: wrap;
}

.view-detail-page > .group-left .field .field__label,
.view-detail-page > .group-middle .field .field__label,
.view-detail-page > .group-right .field .field__label {
  text-align: left;
}


.view-detail-page .group-header .action-flag,
.view-detail-page .group-header .action-unflag {
  position: static;
  margin-left: auto;
}

.action-flag a,
.action-unflag a {
  font-size: 0;
  display: inline-block;
}

.action-flag a:before,
.action-unflag a:before {
  content: "\e87e";
  font-family: 'Material Icons Outlined';
  font-weight: normal;
  font-style: normal;
  font-size: 24px;
  line-height: 1;
  letter-spacing: normal;
  text-transform: none;
  display: inline-block;
  white-space: nowrap;
  word-wrap: normal;
  direction: ltr;
  -webkit-font-feature-settings: 'liga';
  -webkit-font-smoothing: antialiased;
}

.action-unflag a:before {
  content: "\e87d";
}

.view-detail-page .field--name-field-date-found,
.view-detail-page .field--name-field-fix-area {
  margin: 0;
}

.view-detail-page .comment .group-right {
  height: auto !important;
}

.comment .field--name-comment-post-date {
  font-size: 13px;
  margin-bottom: 10px;
  color: #666;
}


@media only screen and (max-width: 1280px) {
  details.cmi-fifi-employee-information .details-wrapper {
    padding: 0 14px 14px;
  }

  .details-wrapper .form-wrapper,
  .field--name-field-date-resolved .form-item, 
  .field--name-field-date-found .form-item, 
  .field--name-field-fix-area .form-item{
    padding: 0 7px;
  }

  .form-item {
    margin: 7px 0;
  }

  
  .field--name-field-date-resolved, 
  .field--name-field-date-found, 
  .field--name-field-fix-area {
    margin: 0 -7px;  
  }

  .cmi-fifi-find-details .fieldset-wrapper {
    padding: 0 15px;
  }

  .cmi-fifi-fix-details .fieldset-wrapper {
    padding: 0 15px 20px;
  }

  .cmi-fifi-find-details .field--name-field-find-category .shs-widget-container {
    padding: 0 7px;
  }

  .cmi-fifi-find-details .shs-container .shs-field-container {
    margin: 0 -7px;
  }

  #edit-field-fix-location-wrapper,
  #edit-field-fix-now-or-later--wrapper {
    margin-top: 20px;
  }

  .view-detail-page > .group-left,
  .view-detail-page > .group-middle,
  .view-detail-page > .group-right {
    flex: 0 0 calc(50% - 20px);
    max-width: calc(50% - 20px);
    padding: 20px;
    margin-bottom: 20px;
  }

  .view-detail-page > .group-right {
    flex: 0 0 calc(100% - 20px);
    max-width: calc(100% - 20px);
  }
}

@media only screen and (max-width: 991px) {
  .details-wrapper .form-wrapper {
    flex: 0 0 50%;
    max-width: 50%;
  }
}

@media only screen and (max-width: 767px) {
  .details-wrapper .form-wrapper,
  .cmi-fifi-find-details .field--name-field-find-category .shs-widget-container,
  .field--name-field-date-resolved .form-item, 
  .field--name-field-date-found .form-item, 
  .field--name-field-fix-area .form-item,
  .cmi-fifi-employee-information .shs-widget-container {
    flex: 0 0 100%;
    max-width: 100%;
  }

  .view-detail-page > .group-left,
  .view-detail-page > .group-middle,
  .view-detail-page > .group-right {
    flex: 0 0 100%;
    max-width: 100%;
  }

  .field--name-field-region-mapping .shs-container .shs-field-container {
    flex-wrap: wrap;
  }

  .cmi-fifi-find-details .form-wrapper > fieldset > legend, 
  .cmi-fifi-fix-details .form-wrapper > fieldset > legend {
    float: none;
  }

  .cmi-fifi-find-details .shs-container .shs-field-container {
    flex-wrap: wrap;
  }

  .cmi-fifi-find-details .field--name-field-find-category .shs-widget-container:last-child {
    margin-top: 14px;
  }

  .details.cmi-fifi-employee-information summary {
    left: -10px;
  }

  details.cmi-fifi-employee-information summary,
  .cmi-fifi-find-fix-details > legend > span, 
  .cmi-fifi-fix-details > legend > span {
    font-size: 15px;
  }

  form#node-add-fix-form #edit-actions #edit-cancel, 
  form#node-add-fix-form #edit-actions #edit-createandnew, 
  form#node-add-fix-form #edit-actions #edit-submit {
    width: 200px;
    margin: 10px 0 0 !important;
  }

  form#node-add-fix-form #edit-actions, 
  form#node-add-fix-edit-form #edit-actions {
    text-align: center;
  }
}

@media only screen and (max-width: 667px) {
  div#edit-field-date-found-wrapper fieldset, 
  div#edit-field-date-resolved-wrapper fieldset {
    margin-left: 0;
  }
}

@media only screen and (max-width: 479px) {
  form#node-add-fix-form #edit-actions,
  form#node-add-fix-edit-form #edit-actions {
    justify-content: center;
    flex-direction: column;
    align-content: center;
    text-align: center;
    flex-wrap: wrap;
    gap: 15px;
  }

  .cmi-fifi-details .field--label-inline .field__label, 
  .cmi-fifi-details .field--label-inline .field__item {
    width: 100%;
  }
}

